Bug 54413 - gcc 2.96 intrinsic functions conflict with user declarations
Summary: gcc 2.96 intrinsic functions conflict with user declarations
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-06 16:47 UTC by Martin Sebor
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 17:53:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Martin Sebor 2001-10-06 16:47:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (WinNT; U)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
$ cat t.cpp ; g++ t.cpp            
namespace N {

extern "C" void* memset (void*, int, unsigned);

}

using namespace N;


int main ()
{
    memset ((void*)0, 0, 0U);
}


t.cpp: In function `int main ()':
t.cpp:12: call of overloaded `memset (void *, int, unsigned int)' is 
ambiguous
<internal>:12: candidates are: void *memset (void *, int, unsigned int)
t.cpp:3:                 void *N::memset (void *, int, unsigned int)


Additional info:

Comment 1 Alan Cox 2002-12-15 17:53:26 UTC
Works in 3.2



Note You need to log in before you can comment on or make changes to this bug.